Subject: FVWM: Use of PipeRead or how do you get date into a button?

From: Bob Taylor <[email-masked]>
Date: Wed, 29 Jan 1997 20:52:15 -0800

I would like to have todays day and date displayed in an FvwmButton. I
have tried:

*FvwmButtons(2x1,Swallow "" PipeRead 'date -d today "+%a %b %-d %Y"')

and various pertubations. I'm currently running fvwm-2.0.43 and I'm out of
ideas! Pointers to doc's on PipeRead welcome!

Thanks in advance.

Bob

-- 
+---------------------------------------------------------------+
| Bob Taylor             Email: [email-masked]    |
|---------------------------------------------------------------|
| A witty statement goes here! (when I get to it!)              |
+---------------------------------------------------------------+

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Christophe MARTIN <[email-masked]>
Date: Thu, 30 Jan 1997 10:56:46 +0100

>> ideas! Pointers to doc's on PipeRead welcome!
Hello,

Unfortunately, you cannot pass args to a piperead command.
Here is a single word patch, that allow piperead to pass args to the
command it invoques.

I used this patch with fvwm 2.0.??. I hope it works with your version.
---%<-----%<-----%<-----%<-----%<-----%<-----%<-----%<-----%<-----%<-----%<--
*** read.orig	Sun Dec  8 18:30:47 1996
--- read.c	Sun Dec  8 23:42:02 1996
***************
*** 78,82 ****
  
    if (piperead)
!     fd = popen(filename,"r");
    else
      fd = fopen(filename,"r");
--- 78,82 ----
  
    if (piperead)
!     fd = popen(action,"r");
    else
      fd = fopen(filename,"r");
*** fvwm2.1.man	Sun Dec  8 23:44:46 1996
--- fvwm2.man	Mon Dec  9 00:10:11 1996
***************
*** 932,938 ****

! .IP "PipeRead \fIcmd\fP"
! Causes fvwm to read commands outputted from the program named
! \fIcmd\fP.  Useful for building up dynamic menu entries based on a
  directories contents, for example.
  
--- 932,941 ----

! .IP "PipeRead \fIsh-script\fP"
! Causes fvwm to run 'sh -c \fIsh-script\fP' ( via \fBpopen(3)\fP ) and then
! to read commands outputted from that script.  \fIsh-script\fP is passed
! verbatim to sh which will interpret it.  Since \fIsh-script\fP is
! interpreted by the shell, you can use command with environment variables
! as argument.  Useful for building up dynamic menu entries based on a
  directories contents, for example.

---%<-----%<-----%<-----%<-----%<-----%<-----%<-----%<-----%<-----%<-----%<--
--
char*p="[)1++++++11+(QI1)9191991)9)1)(II1)919Y91)9)1)(AK+9;991+3*(9I1*IY991)Q1\
)(1I1))A91991)Q1)(+)1)1++9;)Q1+(";main(){int _;while(*p){for(_=*p-32>>3;_;--_)
putchar(' ');if(!(_=*p++-32&7))putchar('\n');else while(_--)printf("_/");}}